# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# Documentation Specfile

Name:           fldigi-doc
Version:        3.21
Release:        alt1_5
Summary:        Documentation for the Fldigi project
Group:          Documentation
# License information gathered from License.html included in this package.
License:        LGPLv2+
URL:            http://www.w1hkj.com/FldigiHelp-3.20/index.html
# Temporary download directory may change
Source0:        http://www.w1hkj.com/downloads/fldigi/FldigiHelp-3.21.zip
Source1:        %{name}.png
Source2:        %{name}.desktop
# Fix hard links to Authors /home directory upstream contacted.
Patch0:         %{name}-html-link.patch
BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       fldigi
Source44: import.info

%description
Documentation for the Fldigi project. A ham radio digital mode application.
This documentation package provides the entire set of documents provided
on the fldigi website http://www.w1hkj.com/FldigiHelp-3.20/index.html
Packaged for local install for remote events in which the operator may
not have internet access to read online documentation.

%prep
%setup -q -n FldigiHelp-3.21
# Fix hardlinks to Authors /home directory.
%patch0 -p1 -b %{name}-html-link.patch
 
# Remove redundant archive from source.
rm ./Modes/modes.zip

%build
# HTML documents no build needed

%install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/images
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray

install -p -D -m 0644 *.html $RPM_BUILD_ROOT%{_docdir}/%{name}/
install -p -D -m 0644 ./images/*.png $RPM_BUILD_ROOT%{_docdir}/%{name}/images/
install -p -D -m 0644 ./images/*.PNG $RPM_BUILD_ROOT%{_docdir}/%{name}/images/
install -p -D -m 0644 ./images/*.jpg $RPM_BUILD_ROOT%{_docdir}/%{name}/images/
install -p -D -m 0644 ./Modes/*.wav $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.png $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.gif $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.htm $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/*.css $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/
install -p -D -m 0644 ./Modes/murray/*.htm $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray/
install -p -D -m 0644 ./Modes/murray/*.xls $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray/
install -p -D -m 0644 ./Modes/murray/*.gif $RPM_BUILD_ROOT%{_docdir}/%{name}/Modes/murray/

# Install .desktop icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE2}

%files
%dir %{_docdir}/%{name}/
%dir %{_docdir}/%{name}/images/
%dir %{_docdir}/%{name}/Modes/
%dir %{_docdir}/%{name}/Modes/murray/
%{_docdir}/%{name}/*.html
%{_docdir}/%{name}/images/*.png
%{_docdir}/%{name}/images/*.PNG
%{_docdir}/%{name}/images/*.jpg
%{_docdir}/%{name}/Modes/*.wav
%{_docdir}/%{name}/Modes/*.png
%{_docdir}/%{name}/Modes/*.gif
%{_docdir}/%{name}/Modes/*.htm
%{_docdir}/%{name}/Modes/*.css
%{_docdir}/%{name}/Modes/murray/*.gif
%{_docdir}/%{name}/Modes/murray/*.htm
%{_docdir}/%{name}/Modes/murray/*.xls
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.21-alt1_5
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 3.21-alt1_4
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.21-alt1_3
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 3.21-alt1_2
- initial fc import

